.float-container {
    position: fixed;
    top: 33%;
    right: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    z-index: 999;
}

.float-container a {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 200px;
    height: 40px;
    margin-right: -155px;
    margin-bottom: 10px;
    padding: 10px 20px;
    background-color: #eb690b;
    color: white;
    text-decoration: none;
    border-radius: 5px 0 0 5px;
    box-shadow: 0 2px 4px #7d7d7d;
    font-family: sans-serif;
    font-size: 14px;
    transition: all 0.3s ease-in-out;
}

.float-container a:hover {
    margin-right: 0;
    background-color: #c45100;
}

.float-container a i {
    font-size: 18px;
    margin-right: 10px;
}

/* Mobil uyum */
@media screen and (max-width: 440px) {
    .float-container {
        top: auto;
        bottom: 0;
        flex-direction: row;
        width: 100%;
        justify-content: space-around;
    }

    .float-container a {
        width: 33.33%;
        margin: 0;
        border-radius: 0;
        box-shadow: none;
        justify-content: center;
        padding: 10px 0;
        font-size: 12px;
    }

    .float-container a i {
        margin-right: 5px;
    }
}
